package com.example.julian.endlessroll.entities;

import com.example.julian.endlessroll.data.Vector;
import com.example.julian.endlessroll.entities.textures.Texture;
import com.example.julian.endlessroll.levels.ObstacleData;

/**
 * Created by Julian on 20.11.2015.
 */
public class Obstacle extends Entity {

    public Obstacle(Texture texture, ObstacleData data, float terrainEdge) {
        super(texture, new Vector(data.getX(), data.getY()), data.getWidth(), data.getHeight());
        if (data.isAttachedToGround())
            super.setToTerrain(terrainEdge);
    }

}
